> For the complete documentation index, see [llms.txt](https://docs.pakk.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pakk.io/data-and-integrations/api/api-structure/utility-endpoints.md).

# Utility Endpoints

`GET {root}/heartbeat`&#x20;

A very simple endpoint to test connection to the API

`GET {root}/authtest`

Test your authentication to the API.  Returns some simple details about the tenant.

&#x20;`GET {root}/integrationtest`

Returns basic details about the integration being used to connect to the API (see API/Integrations).

`GET {root}/tecfg`

Returns the complete Tenant Editable Config (TECFG) object for the tenant.  This is referred to as 'Account Settings' in the admin panel.

`POST {root}/parseaddress`

Parse an address string into a semantic address object.  The request should contain a field `address`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pakk.io/data-and-integrations/api/api-structure/utility-endpoints.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
